Skip to main content

Get Apple Place Card Overrides List

API Description​

Get information about one or more Apple overrides for the current resource version. If an Apple override has been contested by an API user, then contest details are also included.

Request​

URI Parameters​

NameInput
orgId
REQUIRED
resourceTypes
REQUIRED
resourceId
REQUIRED
Path Template
GET {url}/api/{version}/orgs/{orgId}/{resourceTypes}/{resourceId}/apple-overrides
Path Example
GET {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654921/apple-overrides

Request Headers​

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body​

None

Response​

200 OK or Error

Response Headers​

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 90e37155-2e8a-4584-b72f-e07d54e45c92
content-type: application/json

Response Body​

ParentNameOutput
$.data[]
REQUIRED
$.total
REQUIRED
data[]orgId
REQUIRED
data[]${resourceId}
REQUIRED
data[]overrideId
REQUIRED
data[]createdDate
REQUIRED
data[]overrideDetails
REQUIRED
data[]overrideStatus
REQUIRED
data[]contestDetails
OPTIONAL
Details

Example Response Body (raw JSON) First listed Apple override is not contested. Second listed Apple override is contested.

{
"data": [
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654921",
"overrideId": "9467895078742654533",
"createdDate": "2026-10-21T11:01:22.00Z",
"overrideDetails": {
"code": "APPLE_OVERRIDE__LOCATION_STATUS",
"message": "Place card will display different location status",
"fields": [
{
"field": "$.overrideDetails.locationStatus",
"value": {
"locationStatus": {
"status": "OPEN"
}
}
}
]
},
"overrideStatus": "PENDING_USER_ACTION"
},
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654921",
"overrideId": "9467895078742654533",
"createdDate": "2026-10-22T17:22:19.00Z",
"overrideDetails": {
"code": "APPLE_OVERRIDE__LOCATION_NAME",
"message": "Place card will display different name for your location",
"fields": [
{
"field": "$.overrideDetails.displayNames",
"value": {
"displayNames": [
{
"name": "Ben Hill Griffin Stadium",
"locale": "en",
"primary": true
}
]
}
}
]
},
"contestDetails": {
"value": {
"displayNames": [
{
"name": "Florida Field",
"locale": "en",
"primary": true
},
{
"name": "The Swamp",
"locale": "en",
"primary": false
}
]
},
"reason": "'Florida Field' is our preferred name for the venue. This is what should be shown on Apple Maps"
},
"overrideStatus": "SUBMITTED"
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/v1/orgs/9467895078742654934/locations/9467895078742654921/apple-overrides?limit=2&after=8U54a61d9b495324"
},
"total": 4
}